
<h2>Lista de Heroes</h2>


<button (click)="eliminar()">borrar</button>

<br>
<br>


<!-- <div *ngIf="this.heroe !== ''"> -->
<!-- <div *ngIf="heroeBorrado"> -->
    <div *ngIf="heroe; else notDelete">
        <span>Heroe eliminado</span>
        <br>
        <span>{{heroe}}</span>
    </div>
    <!-- <div *ngIf="!heroe">
        <span>No ha borrado nada</span>
    </div> -->
    <ng-template #notDelete>
        <span>No ha borrado nada</span>
    </ng-template>
    
<br>
<br>

<li *ngFor="let it of heroes; let i=index">
    {{i}} | {{it}}
</li>
